@echo off
if "%1"=="" goto Erreur
if "%2"=="" goto Erreur

@%1
@cd %1\
@cd %2\

:deb
Cls
echo 
echo ΙΝΝΝΝΝΝΝΝ»
echo Ί  DEUS  Ί
echo ΘΝΝΝΝΝΝΝΝΌ
echo 
echo  (C) Copyright Silmarils 1996
echo 
echo  Select the configuration to install
echo 
echo  (1) Minimum  (  5 Mb)
echo  (2) Standard ( 54 Mb)
echo  (3) Maximum  (212 Mb)
echo 
echo  (X) Exit
echo 
choice /C123X /N " Your Choice : "
@cls
IF ERRORLEVEL 4 GOTO fin
IF ERRORLEVEL 3 GOTO choix3
IF ERRORLEVEL 2 GOTO choix2
IF ERRORLEVEL 1 GOTO choix1
goto deb

rem --------------------------------------------------------------------------
rem Maximun
rem --------------------------------------------------------------------------

:choix3
Cls
if exist %2\deus\start.exe goto dinst0
md %2\deus >nul
goto iok0

:dinst0
echo 
echo Deus already installed,
choice /CYN /N "continue installation (Y/N) : "

IF ERRORLEVEL 2 GOTO fin
:iok0

echo 
echo please wait, installation in progress...

copy start.exe %2\deus >nul
if exist %2\deus\save.dat goto nosave0
copy save.dat %2\deus >nul
:nosave0
copy s.tst %2\deus >nul
copy *.io %2\deus >nul
copy *.to %2\deus >nul
copy *.flc %2\deus >nul

@%2
@cd %2\deus
goto ok

rem --------------------------------------------------------------------------
rem Standard
rem --------------------------------------------------------------------------

:choix2
Cls
if exist %2\deus\start.exe goto dinst1
md %2\deus >nul
goto iok1

:dinst1
echo 
echo Deus already installed,
choice /CYN /N "continue installation (Y/N) : "

IF ERRORLEVEL 2 GOTO fin
:iok1

echo 
echo please wait, installation in progress...

copy start.exe %2\deus >nul
if exist %2\deus\save.dat goto nosave1
copy save.dat %2\deus >nul
:nosave1
copy *.io %2\deus >nul
copy *.to %2\deus >nul
copy oklogdeu.flc %2\deus >nul
copy oklogosi.flc %2\deus >nul

@%2
@cd %2\deus
goto ok

rem --------------------------------------------------------------------------
rem Minimum
rem --------------------------------------------------------------------------

:choix1
Cls
if exist %2\deus\start.exe goto dinst2
md %2\deus >nul
goto iok2

:dinst2
echo 
echo Deus already installed,
choice /CYN /N "continue installation (Y/N) : "

IF ERRORLEVEL 2 GOTO fin
:iok2

echo 
echo please wait, installation in progress...

copy start.exe %2\deus >nul
if exist %2\deus\save.dat goto nosave2
copy save.dat %2\deus >nul
:nosave2
copy main.io %2\deus >nul
copy a_arc.io %2\deus >nul
copy a_cout.io %2\deus >nul
copy a_gun.io %2\deus >nul
copy a_hach.io %2\deus >nul
copy a_lance.io %2\deus >nul
copy a_laser.io %2\deus >nul
copy a_mitr.io %2\deus >nul
copy a_plasm.io %2\deus >nul
copy a_poing.io %2\deus >nul
copy b_gun.io %2\deus >nul
copy b_hach.io %2\deus >nul
copy b_mitr.io %2\deus >nul
copy c_gun.io %2\deus >nul
copy c_hach.io %2\deus >nul
copy c_mitr.io %2\deus >nul

@%2
@cd %2\deus
goto ok

:Erreur
echo 
echo *** Procedure Interrupted - Installation Failed ***
echo Install Source_Drive Destination_Drive
echo ex: INSTALL D: C:
goto fin

:ok
echo 
echo *** Installation finished ***
echo To play, type START from your Hard drive

:fin
echo 
